package nccloud.web.uapbd.mate_change.mate_change_h.action;
import java.util.HashMap;
import java.util.Map;
import nc.pub.billcode.vo.BillCodeContext;
import nccloud.web.codeplatform.framework.action.base.BaseAction;
import nccloud.web.codeplatform.framework.action.base.RequstParamWapper;
import nccloud.web.codeplatform.framework.action.base.RequestDTO;
import nccloud.web.codeplatform.framework.action.base.VOTransform;
import nccloud.framework.service.ServiceLocator;
import nccloud.framework.web.container.IRequest;
import nc.vo.axj.matechange.AggMateChangeVO;
import nc.itf.uapbd.mate_change.mate_change_h.IMateChangeHVOService;


/**
 * Action
 */
public class AddMateChangeHVOAction extends BaseAction{

	@Override
	public Object doAction(IRequest request, RequstParamWapper paramWapper) throws Throwable{
		//jsonת
		RequestDTO param = VOTransform.toVO(paramWapper.requestString,RequestDTO.class);
		//ȡ
		Map<String,Object> userJson = param.getUserJson();

		AggMateChangeVO[] vos = this.getVOs(param, AggMateChangeVO.class);
		
		//ʵVO
		IMateChangeHVOService service = ServiceLocator.find(IMateChangeHVOService.class);
		AggMateChangeVO vo = service.preAddAggMateChangeVO(vos[0],userJson);
		Map<String,Object> externalData = new HashMap<>();
		BillCodeContext context = service.getBillCodeContext("axjmate_change");
		externalData.put("billCodeContext",context);
		return buildResult(param,true,externalData,vo);
		
	}

}