package nccloud.web.uapbd.mate_change.mate_change_h.action;

import java.util.Map;
import nccloud.web.codeplatform.framework.action.base.BaseAction;
import nccloud.web.codeplatform.framework.action.base.RequstParamWapper;
import nccloud.web.codeplatform.framework.action.base.RequestDTO;
import nccloud.web.codeplatform.framework.action.base.VOTransform;
import nccloud.framework.service.ServiceLocator;
import nccloud.framework.web.container.IRequest;
import nccloud.base.exception.BusinessException;
import nc.itf.uapbd.mate_change.mate_change_h.IMateChangeHVOService;
/**
 * ɾAction
 */
public class DeleteMateChangeHVOAction extends BaseAction{

	@Override
	public Object doAction(IRequest request, RequstParamWapper paramWapper) throws Throwable{
		RequestDTO param = VOTransform.toVO(paramWapper.requestString,RequestDTO.class);
		Map<String,String> tsMap = param.getTsMap();
		
		if(tsMap == null || tsMap.size() == 0){
			throw new BusinessException("ͨgetTsMap()ȡpktsɵMapΪʱδȡ봫tsMap");
		}
		
		IMateChangeHVOService service = ServiceLocator.find(IMateChangeHVOService.class);
		service.deleteAggMateChangeVOs(tsMap);
		return true;
	}
	
}