
package nc.itf.uapbd.mate_change.mate_change_h;

import java.util.Map;

import nc.vo.pub.BusinessException;
import nc.vo.pub.SuperVO;

import nc.vo.axj.matechange.AggMateChangeVO;
import nc.vo.axj.matechange.MateChangeHVO;
import nc.pub.billcode.vo.BillCodeContext;

public interface  IMateChangeHVOService{

	/**
	 * ϱAGGVOѯ
	 * ѯAgg
	 * @param pk
	 * @return 
	 */
	public AggMateChangeVO[] listAggMateChangeVOByPk(String... pks) throws BusinessException;
	
	/**
	 * ϱAGGVOѯ
	 * ѯAgg
	 * @param pk
	 * @return 
	 */
	public AggMateChangeVO[] listAggMateChangeVOByPk(boolean blazyLoad,String... pks) throws BusinessException;
	
	/**
	 * ϱAGGVOѯ
	 * ѯAgg
	 * @param pk 
	 * @return 
	 */
	public  AggMateChangeVO findAggMateChangeVOByPk(String pk) throws BusinessException;
	
	/**
	 * ϱAGGVOѯ
	 * ַѯAgg
	 * @param condition 
	 * @return 
	 */
	public  AggMateChangeVO[] listAggMateChangeVOByCondition(String condition) throws BusinessException;
	
	/**
	 * ϱAGGVOѯ
	 * ַѯAgg
	 * @param condition 
	 * @param orderPath 򼯺
	 * @return 
	 */
	public  AggMateChangeVO[] listAggMateChangeVOByCondition(String condition,String[] orderPath) throws BusinessException;
	
	/**
	 * ϱVOѯ
	 * ѯAgg
	 * @param pk
	 * @return 
	 */
	public MateChangeHVO[] listMateChangeHVOByPk(String...pks) throws BusinessException;
	
	/**
	 * ϱVOѯ
	 * ѯAgg
	 * @param pk 
	 * @return 
	 */
	public  MateChangeHVO findMateChangeHVOByPk(String pk) throws BusinessException;
	
	/**
	 * ϱVOѯ
	 * ַѯAgg
	 * @param condition 
	 * @return 
	 */
	public  MateChangeHVO[] listMateChangeHVOByCondition(String condition) throws BusinessException;
	/**
	 * ϱVOѯ
	 * ַѯAgg
	 * @param condition 
	 * @return 
	 */
	public  MateChangeHVO[] listMateChangeHVOByCondition(String condition,String[] orderPath) throws BusinessException;

	/**
	 * ϱpkѯ
	 * ַѯpk
	 * @param condition ѯ+
	 * @return 
	 */
	public String[] listMateChangeHVOPkByCond(String condition) throws BusinessException;
	
	/**
	 * ϱpkѯ
	 * ַѯpk
	 * @param condition ѯ+
	 * @return 
	 */
	public String[] listMateChangeHVOPkByCond(String condition,String[] orderPath) throws BusinessException;
	/**
	 * ʵvoĬֵ
	 * @param vo
	 */
	public void initDefaultData(MateChangeHVO vo);
	
	
	/**
	 * Ԥϱ
	 * @param userJson  ʱҪչ
	 */
	public AggMateChangeVO preAddAggMateChangeVO(Map<String,Object> userJson) throws BusinessException;
	
	public AggMateChangeVO preAddAggMateChangeVO(AggMateChangeVO vo,Map<String,Object> userJson) throws BusinessException;
	 /**
	 * Ԥ༭ϱ
	 * @param userJson  ʱҪչ
	 */
	public AggMateChangeVO preEditAggMateChangeVO(String pk) throws BusinessException;
	
	 /**
	 * Ʋϱ
	 * 
	 */
	public AggMateChangeVO copyAggMateChangeVO(String pk) throws BusinessException;
	/**
	 * ϱ
	 * @param vos 
	 * @return @
	 */
	public AggMateChangeVO[] saveAggMateChangeVO(AggMateChangeVO vo) throws BusinessException;

	public AggMateChangeVO[] saveAggMateChangeVO(AggMateChangeVO[] vos) throws BusinessException;
	
	
	/**
	 * ɾϱ
	 * @param vos ɾ
	 * @return @
	 */
	public AggMateChangeVO[] deleteAggMateChangeVOs(Map<String,String> tsMap) throws BusinessException;
	
	/**
	 * ϱ
	 * @param vos 
	 * @return @
	 */
	public <T> T[] loadTreeData(Class<T> clazz,Map<String,Object> userJson) throws BusinessException;

	/**
	 * ѯӱpks
	 * @param childClazz ӱclass
	 * @param parentId 
	 * @return ӱpks
	 * @throws BusinessException
	 */
	String[] queryChildPksByParentId(Class childClazz, String parentId) throws BusinessException;

	/**
	 * ӱѯӱ
	 * @param childClazz ӱclass
	 * @param pks ӱ
	 * @return ӱvos
	 * @throws BusinessException
	 */
	SuperVO[] queryChildVOByPks(Class childClazz, String[] pks) throws BusinessException;
	/**
	 * ύ
	 * @param actionName ű
	 * @param tsMap  keyΪ  valueΪts
	 * @param assign ָϢֻеύָ
	 * @return Object
	 * @throws BusinessException
	 */
	public Object commitAggMateChangeVO(String actionName,Map<String,String> tsMap,Object assign) throws BusinessException;
	/**
	 * ύ
	 * @param actionName ű
	 * @param tsMap  keyΪ  valueΪts
	 * @throws BusinessException
	 */
	public Object batchCommitAggMateChangeVO(String actionName,Map<String,String> tsMap) throws BusinessException;
	/**
	 * ջ
	 * @param actionName ű
	 * @param tsMap  keyΪ  valueΪts
	 * @return
	 * @throws BusinessException
	 */
	public Object uncommitAggMateChangeVO(String actionName,Map<String,String> tsMap) throws BusinessException;
	/**
	 * ջ
	 * @param actionName ű
	 * @param tsMap  keyΪ  valueΪts
	 * @throws BusinessException
	 */
	public Object batchUncommitAggMateChangeVO(String actionName,Map<String,String> tsMap) throws BusinessException;
	/**
	 * SAVEBASE ص--ű
	 * @param vos
	 * @throws BusinessException
	 * @return
	 */
	public AggMateChangeVO[] callbackSAVEBASE(AggMateChangeVO...vos) throws BusinessException;
	
	/**
	 * SAVE ص--ű
	 * @param vos
	 * @throws BusinessException
	 * @return
	 */
	public AggMateChangeVO[] callbackSAVE(AggMateChangeVO...vos) throws BusinessException;
	
	/**
	 * UNSAVE ص--ű
	 * @param vos
	 * @throws BusinessException
	 * @return
	 */
	public AggMateChangeVO[] callbackUNSAVE(AggMateChangeVO...vos) throws BusinessException;
	
	/**
	 * APPROVE ص--ű
	 * @param vos
	 * @throws BusinessException
	 * @return
	 */
	public AggMateChangeVO[] callbackAPPROVE(AggMateChangeVO...vos) throws BusinessException;
	
	/**
	 * UNAPPROVE ص--ű
	 * @param vos
	 * @throws BusinessException
	 * @return
	 */
	public AggMateChangeVO[] callbackUNAPPROVE(AggMateChangeVO...vos) throws BusinessException;
	
	/**
	 * ȡĬ(ȫ)
	 * 
	 * @param coderuleid ?
	 * @return 
	 * @throws BusinessException
	 */
	public BillCodeContext getBillCodeContext(String coderuleid) throws BusinessException;

	/**
	 * ȡ
	 * 
	 * @param coderuleid
	 * @param pkgroup
	 * @param pkorg
	 * @return
	 * @throws BusinessException
	 */
	public BillCodeContext getBillCodeContext(String coderuleid, String pkgroup, String pkorg) throws BusinessException;

}